<div class="container">
    <h2>Register</h2>
    <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
      <label for="email">Email:</label>
      <input id="email" formControlName="email" type="email">
      <div *ngIf="registerForm.controls['email'].invalid && (registerForm.controls['email'].dirty || registerForm.controls['email'].touched)">
        <small>Email is required and must be a valid email address.</small>
      </div>
      
      <label for="password">Password:</label>
      <input id="password" formControlName="password" type="password">
      <div *ngIf="registerForm.controls['password'].invalid && (registerForm.controls['password'].dirty || registerForm.controls['password'].touched)">
        <small>Password is required.</small>
      </div>
      
      <button type="submit" [disabled]="registerForm.invalid">Register</button>
    </form>
    <img src="assets/flight-register.jpg" alt="Flight">
  </div>
  